Create an IT asset

Creates a new IT asset in your organization. The asset is either assigned to a worker (WITH_USER) or stored at one of your organization warehouses (AT_WAREHOUSE). A product and product variant are created behind the scenes for this asset. Device categories (laptops, desktops, mobile devices, tablets) require a serial number, and require an operating system when the category supports one. **Token scopes**: `it-assets:write`

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.deel.training/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

Asset to create
dataobjectRequired

Response

Created
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error